Register

Welcome to the RDI-Board Community.

If this is your first visit, be sure to check out the FAQ by clicking the link above. You may have to register before you can post: click the register link above to proceed.


Donate Now Goal amount for this month: 100 EUR, Received: 100 EUR (100%)
Donate to support this site...

Results 1 to 6 of 6
  1. #1
    TBD Teacher
    RDI - Board Default Avatar

    Join Date
    Jul 2008
    Location
    Pe ici pe colea...
    Posts
    257
    Posts Thanks / Likes

    Default Compilare transmission pe enigma2

    Cine poate sa imi dea o mana de ajutor pentru cross compilarea unui client de torrents (transmission) pentru enigma 2 (DM800)? Sau macar cateva idei de unde sa incep studiul. Am adus toulchain pentru DM800 (openembedded), am adus si dezarhivat sursa ptr transmission, am rulat autogen.sh cu indicarea directorului unde am pus toulchains dar mi s-a oprit dand o eroare de libevent. Evident trebuie si asta cumva generat / compliat.

  2. #2
    Member Master
    RDI - Board Default Avatar

    Join Date
    Aug 2007
    Location
    Ineu-ARAD
    Posts
    94
    Posts Thanks / Likes

    Default

    Este versiune compilata de un tip, dillinger user name-ul lui pe un site rusesc,eu de acolo am luat si merge bine.


  3. #3
    TBD Teacher
    RDI - Board Default Avatar

    Join Date
    Jul 2008
    Location
    Pe ici pe colea...
    Posts
    257
    Posts Thanks / Likes

    Default

    Dar e banal de compilat... Eu nu sunt specialist in linux, m-am uitat si eu in configure... am rulat comanda asta (am ubuntu):
    ./configure --host=mipsel-linux --enable-lightweight --enable-cli --enable-daemon --with-gtk --prefix=/usr/local/DM800/transmission
    Totul ar fi bine, pana cand imi da eroarea:
    checking for LIBEVENT... configure: error: Package requirements (libevent >= 2.0.10) were not met:
    No package 'libevent' found
    Consider adjusting the PKG_CONFIG_PATH environment variable if you
    installed software in a non-standard prefix.
    Alternatively, you may set the environment variables LIBEVENT_CFLAGS
    and LIBEVENT_LIBS to avoid the need to call pkg-config.
    See the pkg-config man page for more details.
    Libevent este ca sursa intr-un dir 3rd party. Are si asta un config. Ce ar mai trebui facut?

  4. #4
    Moderator Expert
    Join Date
    Apr 2003
    Location
    Wild West
    Posts
    2,529
    Posts Thanks / Likes

    Default

    Quote Originally Posted by xyzzyx View Post
    Dar e banal de compilat... Eu nu sunt specialist in linux, m-am uitat si eu in configure... am rulat comanda asta (am ubuntu):

    Totul ar fi bine, pana cand imi da eroarea:

    Libevent este ca sursa intr-un dir 3rd party. Are si asta un config. Ce ar mai trebui facut?
    Instalezi libevent si ar trebui sa mearga.

    http://www.geeksww.com/tutorials/ope...ntos_linux.php

  5. #5
    TBD Teacher
    RDI - Board Default Avatar

    Join Date
    Jul 2008
    Location
    Pe ici pe colea...
    Posts
    257
    Posts Thanks / Likes

    Default

    Quote Originally Posted by ovidiumarius View Post
    Instalezi libevent si ar trebui sa mearga.

    http://www.geeksww.com/tutorials/ope...ntos_linux.php
    Merci. Dar... Eu nu vreau sa instalez libevent. Vreau sa il compilez pentru mipsel si sa il fac vizibil pentru transmission cand ii dau configure. Asta e pentru libevent:
    ./configure --host=mipsel-linux --exec-prefix="/home/DM800/libevent/"
    Cu preffix nu imi scoate nimic in directoarele indicate de mine. M-am oprit la flagurile ce trebuie puse la configure pentru transmission. Repet, eu vreau sa fac o cross compilare pentru DM800 pe un ubuntu... Am sa iau o pauza. E simplut linuxul dar cand nu ai baza, inoti impotriva curentului. E mai greu adica...
    Last edited by xyzzyx; 13th February 2012 at 23:31.

  6. #6
    TBD Teacher
    RDI - Board Default Avatar

    Join Date
    Jul 2008
    Location
    Pe ici pe colea...
    Posts
    257
    Posts Thanks / Likes

    Default

    OK. Merci. Pun la loc EDG Nemesis mai ales ca vor scoate in noaptea asta versiunea 2.5 si in plus voi utiliza fisierele gata compilate...

 

 

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Back to Top